package solatium.blockchain.persistence;

import solatium.blockchain.BlockChain;
import solatium.blockchain.Chain;
import solatium.blockchain.HashedBlock;

import java.io.*;

public class PersistenceBlockChain {

    private final File blockChainFile;

    public PersistenceBlockChain(File blockChainFile) {
        this.blockChainFile = blockChainFile;
    }

    public void write(HashedBlock hashedBlock) {
        File myFile = new File(blockChainFile, hashedBlock.getHash());
        try(FileOutputStream fileOutputStream = new FileOutputStream(myFile);
            DataOutputStream dataOutputStream = new DataOutputStream(fileOutputStream)) {
            dataOutputStream.write("foo".getBytes());
            dataOutputStream.flush();

        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public Chain read() {
        return new BlockChain();
    }
}
