package solatium;

import io.sentry.Sentry;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;

import java.io.ByteArrayInputStream;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

import static org.junit.Assert.*;

@Slf4j
public class MainTest {

    private static final Logger logger = Logger.getLogger("solatium.MainTest");

    @Test
    public void exampleForFakeInput() {
        String s = "foo bar";
        System.setIn(new ByteArrayInputStream(s.getBytes()));
        Scanner scanner = new Scanner(System.in);
        assertEquals(s, scanner.nextLine());
    }

    @Test
    public void shouldSentryTest() {
        Sentry.init();
        log.error("Test error");
        logger.fine("Debug message");
        logger.info("Info message");
        logger.warning("Warn message");

        try {
            int example = 1 / 0;
        } catch (Exception e) {
            logger.log(Level.SEVERE, "Caught exception!", e);
        }
    }
}